package com.iotechn.unimall.data.dto.shop.XmlObject;


import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

@XmlRootElement(name="response")
public class OrderDetail {
    String orderID;
    int orderStatus;
    int orderState;
    int label;
    String lastModifyTime;
    String sendDate;
    String paymentDate;
    int isPresale;



    String message;
    String remark;
    @XmlElement(name = "sendGoodsInfo")
    SendGoodsInfo sendGoodsInfo;
    @XmlElement(name = "ItemsList")
    ItemsList itemsList;
    @XmlElement(name = "receiptInfo")
    ReceiptInfo receiptInfo;
    @XmlTransient
    public ReceiptInfo getReceiptInfo() {
        return receiptInfo;
    }

    public void setReceiptInfo(ReceiptInfo receiptInfo) {
        this.receiptInfo = receiptInfo;
    }

    public String getOrderID() {
        return orderID;
    }

    public void setOrderID(String orderID) {
        this.orderID = orderID;
    }

    public int getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(int orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    @XmlTransient
    public SendGoodsInfo getSendGoodsInfo() {
        return sendGoodsInfo;
    }

    public void setSendGoodsInfo(SendGoodsInfo sendGoodsInfo) {
        this.sendGoodsInfo = sendGoodsInfo;
    }
    @XmlTransient
    public ItemsList getItemsList() {
        return itemsList;
    }

    public void setItemsList(ItemsList itemsList) {
        this.itemsList = itemsList;
    }
    public String getLastModifyTime() {
        return lastModifyTime;
    }

    public void setLastModifyTime(String lastModifyTime) {
        this.lastModifyTime = lastModifyTime;
    }

    public int getLabel() {
        return label;
    }

    public void setLabel(int label) {
        this.label = label;
    }

    public int getOrderState() {
        return orderState;
    }

    public void setOrderState(int orderState) {
        this.orderState = orderState;
    }

    public String getSendDate() {
        return sendDate;
    }

    public void setSendDate(String sendDate) {
        this.sendDate = sendDate;
    }

    public String getPaymentDate() {
        return paymentDate;
    }

    public void setPaymentDate(String paymentDate) {
        this.paymentDate = paymentDate;
    }

    public int getIsPresale() {
        return isPresale;
    }

    public void setIsPresale(int isPresale) {
        this.isPresale = isPresale;
    }
}
